## kdesupport-2.0.tar.bz2

=== libaps/testaps/Makefile ===
#############################################################################
# Makefile for building testaps
# Generated by tmake at 03:04, 1999/11/15
#     Project: testaps.mk
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-static -pipe -Wall -W -O2 -DNO_DEBUG -g
CXXFLAGS=	-static -pipe -Wall -W -O2 -DNO_DEBUG -g
INCPATH	=	-I$(QTDIR)/include -I../include
LINK	=	g++
LFLAGS	=	-g
LIBS	=	-L/usr/local/lib -laps -L$(QTDIR)/lib -lqt -L/usr/X11R6/lib -lm -lX11 -lXext
MOC	=	$(QTDIR)/bin/moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	testaps.h
SOURCES =	main.C \
		testaps.C
OBJECTS =	main.o \
		testaps.o
SRCMOC	=	moc_testaps.cpp
OBJMOC	=	moc_testaps.o
DIST	=	
TARGET	=	testaps

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c -DDEBUG $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: testaps.mk
	tmake testaps.mk -o Makefile

dist:
	$(TAR) testaps.mk.tar testaps.mk.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) testaps.mk.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

main.o: main.C \
		testaps.h

testaps.o: testaps.C \
		testaps.h \
		apsdefs.h

moc_testaps.o: moc_testaps.cpp \
		testaps.h

moc_testaps.cpp: testaps.h
	$(MOC) testaps.h -o moc_testaps.cpp

=== debian/changelog ===
kdesupport (4:2.0-20001011-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 11 Oct 2000 05:00:00 -0700
                                                                                

kdesupport (4:2.0-20001005-0) unstable; urgency=low
 
  * More upstream fixes
  * No more libuulib as upstream has removed it from kdesupport
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

kdesupport (4:2.0-20001002-0) unstable; urgency=low
 
  * KDE 2.0 RC1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Oct 2000 01:30:00 -0700

kdesupport (4:2.0-20000925-2) unstable; urgency=low

  * More upstream fixes
  * Clean builld on new libc just to be safe

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 17:30:00 -0700

kdesupport (4:2.0-20000925-0) unstable; urgency=low
 
  * More upstream fixes
  * Build-Depends cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 15:30:00 -0700

kdesupport (4:2.0-20000923-0) unstable; urgency=low
 
  * More upstream fixes 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 00:30:00 -0700

kdesupport (4:2.0-20000918-0) unstable; urgency=low
 
  * More upstream fixes (-beta5)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 17:30:00 -0700

kdesupport (4:2.0-20000906-0) unstable; urgency=low
 
  * Upstream updates
  * mimelib now GPL'd

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 06 Sep 2000 12:00:00 -0700

kdesupport (4:2.0-20000827-0) unstable; urgency=low
 
  * More upstream cleanup
  * Some package build cleanup as well
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 27 Aug 2000 19:30:00 -0700

kdesupport (4:2.0-20000824-0) unstable; urgency=low
 
  * KDE 2.0 beta 4
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Aug 2000 18:30:00 -0700
                                                                                

kdesupport (4:2.0-20000816-1.0) experimental; urgency=low
 
  * New upstream beta version
  * Removing build instructions for libQwspritefield
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 16 Aug 2000 22:30:00 -0700

kdesupport-cvs (4:2.0-20000521-1.0) experimental; urgency=low
 
  * More CVS updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 21 May 2000 02:15:00 -0700

kdesupport-cvs (4:2.0-20000512-1.2) experimental; urgency=low

  * New upstream beta version
  * Turning on debugging

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 12 May 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000403-1.0) experimental; urgency=low

  * New upstream CVS pull
  * adding in a --without-audiofile since libaudiofile is already a 
    Debian package

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Apr 2000 06:00:00 -0700

kdesupport-cvs (4:2.0-20000308-1.0) experimental; urgency=low
 
  * New upstream CVS pull
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Mar 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000306-1.0) experimental; urgency=low
 
  * New upstream CVS pull
  * Build on new qt beta2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 03:00:00 -0700

kdesupport-cvs (4:2.0-20000302-1.0) experimental; urgency=low
 
  * New upstream CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Mar 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000229-1.0) experimental; urgency=low

  * New upstream CVS version
  * Adding in build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Feb 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000223-1.0) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 23 Feb 2000 18:00:42 -0700

kdesupport-cvs (4:2.0-19991201-1.0) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 01 Dec 1999 03:00:42 -0400

kdesupport-cvs (4:2.0-19991020-1.0) experimental; urgency=low

  * New upstream CVS version
  * QwSpriteField updates and js removal

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Oct 1999 06:30:42 -0400

kdesupport-cvs (4:2.0-19991007-0.2) experimental; urgency=low
 
  * Adding in missing odbc libraries

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Oct 1999 13:30:42 -0400

kdesupport-cvs (4:2.0-19991007-0.1) experimental; urgency=low

  * Building individual packages for each libarary to follow policy

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Oct 1999 06:30:42 -0400

kdesupport-cvs (4:2.0-19990920-1) experimental; urgency=low

  * new CVS version
  * Whole purpose of this build is to build against new libs.

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 20 Sep 1999 02:00:42 -0400

kdesupport-cvs (4:2.0-19990912-1) experimental; urgency=low

  * new CVS version
  * Cleans up pre/post scripts. Brings them in line with current policy and
    makes it easy to update/modify them in the future.  
  * Cleaning up dependencys a bit more.
  * Migrating to /usr/share/doc

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Sep 1999 14:00:42 -0400

kdesupport-cvs (4:2.0-19990903-1) experimental; urgency=low

  * new CVS version

 -- Stephan Kulow <coolo@kde.org>  Tue, 31 Aug 1999 20:55:42 +0200

kdesupport-cvs (4:2.0-19990822-1) experimental; urgency=low

  * new CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 22 Aug 1999 09:00:27 -0400

kdesupport-cvs (4:2.0-19990626-1) experimental; urgency=low

  * new version 
  * changed the configure options

 -- Stephan Kulow <coolo@kde.org>  Sat, 26 Jun 1999 20:15:27 +0200

kdesupport-cvs (4:2.0-19990601-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 Jun 1999 01:00:51 -0400

kdesupport-cvs (4:2.0-19990524-1) experimental; urgency=low

  * migrating out of /opt to /

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 24 May 1999 07:22:51 -0400

kdesupport-cvs (4:2.0-19990314-2) experimental; urgency=low

  * moving changelog



=== libaps/debian/changelog ===
aps (1:1999.12.02.10.59.0) unstable; urgency=low

  * Automatic build of version 1:1999.12.02.10.59 to be tagged as aps-1_1999_12_02_10_59

 -- Albert den Haan <albertd@corel.ca>  Thu,  2 Dec 1999 11:20:12 -0500

aps (1999.11.27) unstable; urgency=low

  * Initial Release.

 -- Albert den Haan <albertd@corel.ca>  Sat, 27 Nov 1999 17:16:14 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kdesupport
Build-Depends: automake, libtool, debhelper, xlib6g-dev | xlibs-dev, libqt2.2-dev, libreadline4-dev, libjpeg62-dev, zlib1g-dev, jade, sgml-base, docbook, docbook-stylesheets
Section: libs
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.1.1

Package: libmime1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: kdesupport0g, kdesupport1g
Description: mime libraries needed for some KDE applications
 These libraries are used by several KDE applications

Package: libmime-dev
Architecture: any
Section: devel
Depends: xlib6g-dev | xlibs, libc6-dev, libmime1 (=${Source-Version})
Conflicts: kdesupport0g-dev, kdesupport1-dev, kdesupport1-cvs-dev
Description: mime library - development version
 These libraries are used by kde to handle mime types.

=== libaps/debian/control ===
Source: aps
Section: devel
Priority: optional
Maintainer: Albert den Haan <albertd@corel.ca>
Standards-Version: 2.4.0.0

Package: libaps-dev
Architecture: any
Depends: libaps, libc6-dev
Provides: libaps-dev
Conflicts: libaps-dev
Description: developer tools for the APS Application Print Services library
 The APS library provides print services to applications and printer
 configuration/management tools, hiding the details of the underlying
 low-level printing system.
 .
 This package provides a static link library and developer documentation 

Package: libaps
Architecture: any
Depends: ${shlibs:Depends}
Description: APS Application Print Services library
 The APS library provides print services to applications and printer
 configuration/management tools, hiding the details of the underlying
 low-level printing system.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

SHELL=/bin/sh

BUILDDIR = ./build

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp: 
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi
	./configure $(configkde) --enable-static  \
		--without-libjpeg --without-libgif --without-libgdbm  \
		--without-audiofile \
		--libdir=$(kde_libdir) --includedir=$(kde_includedir)

	make TOPSUBDIRS="mimelib"

	touch build-stamp

clean: debian-clean
	dh_clean
	-rm -f debian/debiandirs

debian-clean:
	dh_testdir
	-rm -f build-stamp
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi
	-make distclean

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	make DESTDIR=`pwd`/debian/tmp install 
	perl -w admin/debianrules cleanup

	dh_undocumented
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_movefiles -plibmime-dev usr/include/kde/*mime* usr/lib/libmime*.so usr/lib/libmime*.a usr/lib/libmime*.la
	dh_fixperms
	dh_suidregister
	dh_makeshlibs -V
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

=== libaps/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

package=aps

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	./configure

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/tmp libdir=`pwd`/debian/tmp/usr/lib includedir=`pwd`/debian/tmp/usr/include sysconfdir=`pwd`/debian/tmp/etc

	dh_movefiles
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installemacsen -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installmanpages -i
#	dh_undocumented
	dh_installchangelogs -i 
	dh_compress -i
	dh_fixperms -i
	dh_suidregister -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installemacsen -a
#	dh_installinit -a
	dh_installcron -a
	dh_installmanpages -a
#	dh_undocumented
	dh_installchangelogs -a 
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

#binary: binary-indep binary-arch
binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary
